import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import AlmaLinuxLogoLight from './AlmaLinuxLogoLight';
import AlmaLinuxLogoDark from './AlmaLinuxLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const AlmaLinuxLogoSvg = forwardRef(function AlmaLinuxLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(AlmaLinuxLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(AlmaLinuxLogoLight, Object.assign({}, props, { ref: ref })));
});
export default AlmaLinuxLogoSvg;
